Page MenuHomePhabricator

Use Special:EntityData to fetch entities
Open, Needs TriagePublic

Description

E.g. https://www.wikidata.org/wiki/Special:EntityData/Q64.json?revision=798248942

Also, in contrast to wbgetentities, this offers revision support. This solves T210615 when adding the revision to the request parameters sent from wikibase.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 11:33 AM
Pablo-WMDE updated the task description. (Show Details)Dec 19 2018, 10:30 AM
Pablo-WMDE updated the task description. (Show Details)

Change 485152 had a related patch set uploaded (by WMDE-leszek; owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] server: implement a Special:EntityData EntityRepository

https://gerrit.wikimedia.org/r/485152

Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-9 board.

Change 490474 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] SSR: use axios to get API results

https://gerrit.wikimedia.org/r/490474

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Feb 25 2019, 12:33 PM

Change 490474 merged by jenkins-bot:
[wikibase/termbox@master] SSR: use axios to get API results

https://gerrit.wikimedia.org/r/490474

Change 485152 merged by jenkins-bot:
[wikibase/termbox@master] server: implement a Special:EntityData EntityRepository

https://gerrit.wikimedia.org/r/485152

Change 493176 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] beta hosting: add ansible playbook

https://gerrit.wikimedia.org/r/493176

Change 493176 merged by jenkins-bot:
[wikibase/termbox@master] beta hosting: add ansible playbook

https://gerrit.wikimedia.org/r/493176